Skip to content

Api Gateway  >  Operations  >  get_resource

get_resource

Operation

get_resource async

get_resource(input: GetResourceInput, plugins: list[Plugin] | None = None) -> GetResourceOutput

Lists information about a resource.

Parameters:

Name Type Description Default
input GetResourceInput

An instance of GetResourceInput.

required
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
GetResourceOutput

An instance of GetResourceOutput.

Input

GetResourceInput dataclass

Request to list information about a resource.

Attributes

embed class-attribute instance-attribute
embed: list[str] | None = None

A query parameter to retrieve the specified resources embedded in the returned Resource representation in the response. This embed parameter value is a list of comma-separated strings. Currently, the request supports only retrieval of the embedded Method resources this way. The query parameter value must be a single-valued list and contain the "methods" string. For example, GET /restapis/{restapi_id}/resources/{resource_id}?embed=methods.

resource_id class-attribute instance-attribute
resource_id: str | None = None

The identifier for the Resource resource.

rest_api_id class-attribute instance-attribute
rest_api_id: str | None = None

The string identifier of the associated RestApi.

Output

GetResourceOutput dataclass

Represents an API resource.

Attributes

id class-attribute instance-attribute
id: str | None = None

The resource's identifier.

parent_id class-attribute instance-attribute
parent_id: str | None = None

The parent resource's identifier.

path class-attribute instance-attribute
path: str | None = None

The full path for this resource.

path_part class-attribute instance-attribute
path_part: str | None = None

The last path segment for this resource.

resource_methods class-attribute instance-attribute
resource_methods: dict[str, Method] | None = None

Gets an API resource's method of a given HTTP verb.